view scripts/config-headers.sh @ 684:269554439ace

targets/fcdev3b.h: bring back CONFIG_TARGET_FCDEV3B C preprocessor symbol CONFIG_TARGET_FCMODEM is no longer used anywhere in our code base, thus it is being fully retired. OTOH, CONFIG_TARGET_FCDEV3B is being brought back: with our earlier FC modem family idea now being withdrawn in light of the discovery of Tango modules, FCDEV3B goes back to being its own unique target.
author Mychaela Falconia <falcon@freecalypso.org>
date Thu, 24 Sep 2020 20:21:51 +0000
parents 92dbfa906f66
children
line wrap: on
line source

#!/bin/sh

if [ $# != 2 ]
then
	echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
	exit 1
fi

if [ -z "$TARGET" ]
then
	echo "Error: TARGET= must be passed via environment" 1>&2
	exit 1
fi

if [ -z "$BUILD_DIR" ]
then
	echo "Error: BUILD_DIR= must be passed via environment" 1>&2
	exit 1
fi

set -e

rm -rf $BUILD_DIR/config
cp -r cfg-headers/base $BUILD_DIR/config
cp cfg-headers/$1/* $BUILD_DIR/config
cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h